Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaNumericFacet

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaFacet
                  org.apache.ws.commons.schema.XmlSchemaNumericFacet

Direct Known Subclasses:
  XmlSchemaFractionDigitsFacet, XmlSchemaLengthFacet, XmlSchemaMaxLengthFacet, XmlSchemaMinLengthFacet, XmlSchemaTotalDigitsFacet

    public abstract class XmlSchemaNumericFacet

extends XmlSchemaFacet

Abstract class for defining numeric facets.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`protected` | `XmlSchemaNumericFacet()` Creates new XmlSchemaNumericFacet
`protected` | `XmlSchemaNumericFacet(java.lang.Object value, boolean fixed)`

Method Summary

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaFacet
`construct, getValue, isFixed, setFixed, setValue`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaNumericFacet

    protected XmlSchemaNumericFacet()

  Creates new XmlSchemaNumericFacet

### XmlSchemaNumericFacet

    protected XmlSchemaNumericFacet(java.lang.Object value,
                                    boolean fixed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.